# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 171 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_groups_fr.al)"
sub help_groups_fr {
    print <<EOT;
<h3>Groupes d'utilisateurs</h3>
<p>Les groupes ne sont pas indispensables mais acc&eacute;l&egrave;rent le
traitement des requ&ecirc;tes. Par exemple, si un h&ocirc;te virtuel est
autoris&eacute; nominativement &agrave; user, user2 et user3, la r&egrave;gle
d'acc&egrave;s s'&eacute;crira&nbsp;:</p>
<pre>
    # test.example.com - R&egrave;gles
    default =&gt; \$uid eq "user1" or \$uid eq "user2" or \$uid eq "user3"
</pre>
<p> Le probl&egrave;me est que cette expression sera calcul&eacute;e &agrave;
chaque requ&ecirc;te HTTP. D'autre part, si 2 h&ocirc;tes virtuels ont la
m&ecirc;me r&egrave;gle d'acc&egrave;s, toute modification doit &ecirc;tre
r&eacute;percut&eacute;e sur les deux h&ocirc;tes virtuels. Le syst&egrave;me
des groupes permet de r&eacute;soudre ces deux probl&egrave;mes&nbsp;: lors de
la connexion au portail, les expressions complexes sont calcul&eacute;es une
fois pour toute la session et le r&eacute;sultat est stock&eacute; dans la
cha&icirc;ne \$groups. L'exemple pr&eacute;c&eacute;dent devient
alors&nbsp;:</p>
<pre>
    # D&eacute;claration d'un groupe
    group1 =&gt; \$uid eq "user1" or \$uid eq "user2" or \$uid eq "user3"

    # Utilisation :
    # test.example.com - R&egrave;gles
    default =&gt; \$groups =~ /\\bgroup1\\b/
</pre>
<p> Cette derni&egrave;re expression est une expression r&eacute;guli&egrave;re
Perl (PCRE) qui correspond &agrave; la recherche du mot group1 dans la
cha&icirc;ne \$groups (\\b signifie d&eacute;but ou fin de mot).</p>

<p>La variable export&eacute;e \$groups est une cha&icirc;ne de
caract&egrave;res compos&eacute;s de tous les noms de groupes auquels
l'utilisateur connect&eacute; appartient (c'est &agrave; dire les noms de
groupe pour lesquels l'expression est vraie).</p>
EOT
}

# end of Lemonldap::NG::Manager::Help::help_groups_fr
1;
