# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 337 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_macros_fr.al)"
sub help_macros_fr {
    print <<EOT;
<h3>Macros</h3>
<p> Les macros permettent d'ajouter des variables calcul&eacute;es &agrave;
partir des attributs LDAP (variables export&eacute;es). Elles sont ensuite vues
comme des attributs LDAP.
Elles &eacute;vitent de r&eacute;p&eacute;ter le m&ecirc;me calcul plusieurs
fois dans la phase d'authentification. Exemple&nbsp;:</p>
<pre>
    # macros
    nom_complet =&gt; \$givenname . " " . \$surname
    admin =&gt; \$uid eq "foo" or \$uid eq "bar"
    
    # test.example.com - En-t&ecirc;tes
    Nom =&gt; \$nom_complet
    
    # test.example.com - R&egrave;gles
    ^/admin/ =&gt; \$admin
</pre>

<h4> Astuces </h4>

<h5> Redéfinir les attributs LDAP </h5>
<p> Une macro peut porter le même nom
You can create a macro with the same name than an exported value. If so,
the attribute is redefined. Example&nbsp;:</p>
<pre>
    uid =&gt; $uid . "\\\@domain.com"
</pre>

<h5> Using regexp </h5>

<p> Suppose you want to extract the string 'admin' or 'user' in an attribute,
in Perl, you can use <tt>\$mail&nbsp;=~&nbsp;s/^.*(user|admin)/\$1/</tt>. To
use it in Lemonldap::NG, you have to do the following&nbsp;:</p>
<pre>
    mail =&gt; (\$mail =~ /(user|admin)/)[0]
</pre>
<p> Explanation : '\$mail =~ /(user|admin)/' returns 0 or 1, but
'(\$mail =~ /(user|admin)/)' is a "list context" so it returns an array
containing all elements recognized. So '(\$mail =~ /(user|admin)/)[0]'
returns the first element.</p>
EOT
}

# end of Lemonldap::NG::Manager::Help::help_macros_fr
1;
